---
title: MerchantValidationEvent.validationURL
slug: Web/API/MerchantValidationEvent/validationURL
tags:
  - API
  - Commerce
  - Merchant
  - Merchant Validation
  - MerchantValidationEvent
  - NeedsExample
  - Payment Request
  - Payment Request API
  - Payments
  - Property
  - Reference
  - validationURL
---
<p>{{deprecated_header}}{{non-standard_header}}{{securecontext_header}}</p>

<p><span class="seoSummary">The {{domxref("MerchantValidationEvent")}} property <strong><code>validationURL</code></strong> is a read-only string value providing the URL from which to fetch the payment handler-specific data needed to validate the merchant.</span></p>

<p>This data should be passed into the {{domxref("MerchantValidationEvent.complete", "complete()")}} method to let the user agent complete the transaction.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>validationURL</em> = <em>merchantValidationEvent</em>.validationURL;</pre>

<h3 id="Value">Value</h3>

<p>A read-only {{domxref("USVString")}} giving the URL from which to load payment handler specific data needed to complete the merchant verification process. Once this has been loaded, it should be passed into {{domxref("MerchantValidationEvent.complete", "complete()")}}, either directly or using a promise.</p>

<p>See {{SectionOnPage("/en-US/docs/Web/API/Payment_Request_API/Concepts", "Merchant validation")}} for more information on the merchant validation process.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MerchantValidationEvent.validationURL")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API">Payment Request API</a></li>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Using_the_Payment_Request_API">Using the Payment Request API</a></li>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Concepts">Payment processing concepts</a></li>
</ul>
